package ru.yandex.direct.web.entity.banner.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

public class WebBannerCallout {

    @SuppressWarnings("WeakerAccess")
    public static class Prop {
        private Prop() {
        }

        public static final String ADDITIONS_ITEM_ID = "additions_item_id";
    }

    @JsonProperty(Prop.ADDITIONS_ITEM_ID)
    @JsonDeserialize(as = Long.class)
    private Long additionsItemId;

    public Long getAdditionsItemId() {
        return additionsItemId;
    }

    public WebBannerCallout withAdditionsItemId(Long additionsItemId) {
        this.additionsItemId = additionsItemId;
        return this;
    }
}
